Package org.eclipse.net4j.util.transaction

## Interface ITransaction<CONTEXT>

- All Known Implementing Classes:
    `Transaction`

      public interface ITransaction<CONTEXT>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `commit()` |
    `void` | `execute​(ITransactionalOperation<CONTEXT> operation)` |
    `CONTEXT` | `getContext()` |
    `boolean` | `isActive()` |
    `void` | `rollback()` |

- - ### Method Detail

    - #### isActive

          boolean isActive()

    - #### getContext

          CONTEXT getContext()

    - #### execute

          void execute​(ITransactionalOperation<CONTEXT> operation)
                throws TransactionException

      Throws:
        `TransactionException`

    - #### commit

          void commit()

    - #### rollback

          void rollback()